﻿@model IEnumerable<BeerOverflow.Web.Models.UserViewModel>

@{
    ViewData["Title"] = "Users";
}

<h1>Users</h1>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.ID)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Username)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Age)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Role)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <th>
                @Html.DisplayFor(modelItem => item.ID)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Name)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Username)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Email)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Age)
            </th>
            <th>
                @Html.DisplayFor(modelItem => item.Role)
            </th>
            <td>
                <a asp-controller="Users" asp-action="Edit" asp-route-id="@item.ID">Edit |</a>
                <a asp-controller="Users" asp-action="Details" asp-route-id="@item.ID">Details |</a>
                <a asp-controller="Users" asp-action="Delete" asp-route-id="@item.ID">Delete |</a>
                @if (item.IsBanned)
                {
                    <a asp-controller="Users" asp-action="Unban" asp-route-id="@item.ID">Unban</a>
                }
                else
                {
                    <a asp-controller="Users" asp-action="Ban" asp-route-id="@item.ID">Ban</a>
                }
            </td>
        </tr>
}
    </tbody>
</table>
